import Component  from '../component.js'
import SelectComponent from '../select.js';
import CoUxButton from '../7x/ux-button.js'

export default class CoUxDashboardSelector extends Component {

    constructor(parent) {
      let selector = 'ux-dashboard-selector';
      super(parent, selector);
    }
    get dashboardProfileSelector() {
      let path = '//select[@formcontrolname="dashboard"]';
      return this.currentPath + path;
    }

    get dashboardSelect() {
      return new SelectComponent(this.currentPath);
    }

    get dashboardCustomizeButton() {
      return new CoUxButton(this.currentPath);
    }
    get dashboardCustomizeButtonText() {
      return (this.dashboardCustomizeButton.buttonContent + '//span');
    }
}


